flex-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From aha...@apache.org
Subject [2/2] git commit: [flex-sdk] [refs/heads/develop] - Try for loop to test for existence of patches
Date Tue, 28 May 2013 00:01:00 GMT
Try for loop to test for existence of patches


Project: http://git-wip-us.apache.org/repos/asf/flex-sdk/repo
Commit: http://git-wip-us.apache.org/repos/asf/flex-sdk/commit/9ab1de70
Tree: http://git-wip-us.apache.org/repos/asf/flex-sdk/tree/9ab1de70
Diff: http://git-wip-us.apache.org/repos/asf/flex-sdk/diff/9ab1de70

Branch: refs/heads/develop
Commit: 9ab1de703e6183eaba64fa26f38afa67b916d6c3
Parents: 4b0077b
Author: Alex Harui <aharui@apache.org>
Authored: Tue May 28 00:59:35 2013 +0100
Committer: Alex Harui <aharui@apache.org>
Committed: Tue May 28 00:59:35 2013 +0100

----------------------------------------------------------------------
 test_patch_by_email.sh |   16 ++++++++++------
 1 files changed, 10 insertions(+), 6 deletions(-)
----------------------------------------------------------------------


http://git-wip-us.apache.org/repos/asf/flex-sdk/blob/9ab1de70/test_patch_by_email.sh
----------------------------------------------------------------------
diff --git a/test_patch_by_email.sh b/test_patch_by_email.sh
index a1fc765..0340f67 100644
--- a/test_patch_by_email.sh
+++ b/test_patch_by_email.sh
@@ -29,14 +29,18 @@ then
 cd mustella/utilities/PatchExtractor/src
 echo "launching patch extractor"
 "$AIR_HOME/bin/adl" -runtime "$AIR_HOME/runtimes/air/win" PatchExtractor-app.xml -- c:/cygwin/var/spool/mail/mustellarunner
-rc=$?
-if [[ $rc != 0 ]] ; then
-    cd ../../../..
+cd ../../../..
+gotone=0
+for (file in *.patch)
+do
+    git pull --rebase
+    gotone=1
+    break;
+done
+if [ gotone == 0 ] ; then
     echo "no patches"
-    exit $rc
+    exit 2
 fi
-cd ../../../..
-git pull --rebase
 
 for file in *.patch
 do


Mime
View raw message